<?php

namespace app\model;

use app\BaseModel;
use think\model\concern\SoftDelete;
use think\model\relation\HasOne;

class XmMember extends BaseModel
{
    use SoftDelete;

    protected $name = "xm_member";
    protected $pk = "member_id";

    /**
     * 会员所属渠道
     */
    public function channel(): HasOne
    {
        return $this->hasOne(XmChannel::class,'channel_id','channel_id');
    }
}